LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XMSAAService Interface Reference

The interface must be implemented for a server that can support MSAA com objects and send win32 accessible events. More...

`import"XMSAAService.idl";`

Inheritance diagram for XMSAAService:

## Public Member Functions
hyper | getAccObjectPtr ([in] hyper hWnd, [in] hyper lParam, [in] hyper wParam)
| Return com object pointer. More...
void | handleWindowOpened ([in] hyper i)
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The interface must be implemented for a server that can support MSAA com objects and send win32 accessible events.

## Member Function Documentation

hyper getAccObjectPtr | ( | [in] hyper | hWnd,
|  | [in] hyper | lParam,
|  | [in] hyper | wParam
| ) |  |

Return com object pointer.

Returns
  A reference to the object that contains the actual accessibility information.

See also
  AccessibleContext

void handleWindowOpened | ( | [in] hyper | i | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XMSAAService.idl